// View.java

package org.objectweb.alarm.beans;

import java.rmi.RemoteException;
import javax.ejb.EJBObject;

/**
 * View remote interface
 */
public interface View extends EJBObject {
    public AlarmData[] getAllAlarms() throws RemoteException;
    public AlarmData[] getNewAlarms() throws RemoteException;
    public String[] getProfils() throws RemoteException;
    public void setProfil(String name) throws RemoteException;
    public int alarmLevel(String name) throws RemoteException;
    public void forgetAlarm(String pk) throws RemoteException;
    public String newProfil(String device, String level) throws RemoteException;
    public void removeProfil(String name) throws RemoteException;
}
